<?php
/**
 * twinkle functions and definitions
 *
 * @package twinkle
 */

/**
 * Theme setup and custom theme supports.
 */
require get_template_directory() . '/inc/setup.php';

/**
 * Register widget area.
 *
 * @link http://codex.wordpress.org/Function_Reference/register_sidebar
 */
require get_template_directory() . '/inc/widgets.php';

/**
 * Enqueue scripts and styles.
 */
require get_template_directory() . '/inc/enqueue.php';

/**
 * Recommend the Kirki plugin
 */
require get_template_directory() . '/inc/include-kirki.php';

/**
 * Load the Kirki Fallback class
 */
require get_template_directory() . '/inc/kirki-fallback.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/customizer.php';

/**
 * Customizer additions.
 */
require get_template_directory() . '/inc/custom-comments.php';

/**
* Load custom WordPress nav walker.
*/
if( ! class_exists( 'wp_bootstrap_navwalker' )){
  require get_template_directory() . '/inc/bootstrap-wp-navwalker.php';
}

/**
* Post Gallery
*/
require get_template_directory() . '/inc/custom-post-gallery.php';

/**
* Twinkle Excerpt Class
*/
require get_template_directory() . '/inc/twinkle-excerpt.php';

/**
* Load Post/Page Meta Boxes
*/
require get_template_directory() . '/inc/custom-meta-boxes.php';

/**
* Load Twinkle Getting Started Info
*/
require get_template_directory() . '/inc/dashboard/twinkle_dashboard_info.php';


/**
* Custom image sizes
*/
add_action( 'after_setup_theme', 'twinkle_theme_setup' );
function twinkle_theme_setup() {

  add_image_size( 'twinkle-featured-post', 700, 500, true );        //used for featued posts slider
  add_image_size( 'twinkle-post-overview-large', 750, 500, true );  //used for large post overview
  add_image_size( 'twinkle-latest-posts-widget', 240, 160, true );  //used for latest posts widget
  add_image_size( 'twinkle-post-image', 870, 580, true );           //used for single post featured image
	add_image_size( 'twinkle-post-image-large', 1230, 700, true );    //used for single post style3
  add_image_size( 'twinkle-medium_thumbnail', 700, 700, true );     // used as default fallback
  add_image_size( 'twinkle-small_equal', 300, 200, true );          //used for gallery grid size small
  add_image_size( 'twinkle-medium_equal', 500, 360, true );         //used for gallery grid size medium
  add_image_size( 'twinkle-large-portrait', 750, 900, true );       //used for gallery grid size large
  add_image_size( 'twinkle-large-landscape', 750, 500, true );      //used for gallery grid 1 column

  add_theme_support( 'custom-logo', array(
    'height'      => 125,
    'width'       => 250,
    'flex-height' => true,
    'flex-width'  => true,
    'header-text' => array( 'site-title', 'site-description' ),
  ) );  
}


//* Add new image sizes to post or page editor
function twinkle_image_sizes( $sizes ) {

    $twinklethemesizes = array(
        'twinkle-large-portrait'  => __( 'Large Portrait', 'twinkle' ),
        'twinkle-small_equal'     => __( 'Small (equal height)', 'twinkle' ),
        'twinkle-medium_equal'    => __( 'Medium (equal height)', 'twinkle' ),
        'twinkle-large-landscape' => __( 'Large Landscape', 'twinkle' )
    );
    $sizes = array_merge( $sizes, $twinklethemesizes );

    return $sizes;
}

add_filter( 'image_size_names_choose', 'twinkle_image_sizes' );

//* Modify archive title display
function twinkle_theme_archive_title( $title ) {

    if ( is_category() ) {
        $title = single_cat_title( '', false );  
    } elseif ( is_tag() ) {
        $title = single_tag_title( '', false );
    } elseif ( is_month() ) {
        $title = single_month_title( ' ', false );
    }
  
    return $title;
}
 
add_filter( 'get_the_archive_title', 'twinkle_theme_archive_title' );



