<?php
/**
 * The header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="content">
 *
 * @package twinkle
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta http-equiv="X-UA-Compatible" content="IE=edge, chrome=1">
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta name="mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-capable" content="yes">
<meta name="apple-mobile-web-app-title" content="<?php bloginfo('name'); ?> - <?php bloginfo('description'); ?>">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<div id="page" class="hfeed site">
    
    <!-- ******************* The Navbar Area ******************* -->
    <div class="wrapper-fluid wrapper-navbar" id="wrapper-navbar">	
        <div class="logo-wrapper">
            <div class="container">
                <div class="logo">
                
                    <?php if ( function_exists( 'the_custom_logo' ) ) {
                        the_custom_logo();
                    } ?>
                     
                    <div class="site-branding-text">
                        
                        <h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
                        
                        <?php $description = get_bloginfo( 'description', 'display' );

                        if ( $description || is_customize_preview() ) : ?>
                            <p class="site-description"><?php echo esc_html($description); ?></p>
                        <?php endif; ?>
                    </div><!-- .site-branding-text -->

                </div>
            </div>
        </div>

        <nav class="navbar site-navigation not-sticky-yet" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
            <div class="container">
                <div class="navbar-header">
                    <!-- .navbar-toggle is used as the toggle for collapsed navbar content -->
                    <button class="navbar-toggle hidden-md-up" type="button" data-toggle="collapse" data-target=".exCollapsingNavbar">
                        <span class="sr-only">Toggle navigation</span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                        <span class="icon-bar"></span>
                    </button>

                    <!-- Your site title as branding in the menu -->
                    <?php $custom_logo_id = get_theme_mod( 'custom_logo' );
                        $logo = wp_get_attachment_image_src( $custom_logo_id , 'full' );?>
                    
                        <?php if ( has_custom_logo() ) : ?>
                            <a class="navbar-brand small-logo" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
                                <img src="<?php echo esc_url( $logo[0] ); ?>">
                            </a>
                        <?php else: ?>
                            <a class="navbar-brand no-logo blogtitle" href="<?php echo esc_url( home_url( '/' ) ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home">
                                <h1><?php echo esc_html(get_bloginfo( 'name' )); ?></h1>
                            </a>
                        <?php endif; ?>
                    </a>

                </div>

                <?php wp_nav_menu(
                    array(
                        'theme_location' => 'primary',
                        'container_class' => 'navbar-toggleable-sm exCollapsingNavbar collapse',
                        'menu_class' => 'nav navbar-nav',
                        'fallback_cb' => '',
                        'menu_id' => 'main-menu',
                        'walker' => new wp_bootstrap_navwalker()
                    )
                ); ?>

            </div> <!-- .container -->   
        </nav><!-- .site-navigation -->

        <div class="offset-check"></div>

    </div><!-- .wrapper-navbar end -->