<?php

/**
* Custom excerpt lenths
*/
class TwinkleExcerpt {

  // Default length (by WordPress)
  public static $length = 55;

  // So you can call: my_excerpt('short');
  public static $types = array(
      'short' => 25,
      'regular' => 55,
      'long' => 100
    );

  /**
   * Sets the length for the excerpt,
   * then it adds the WP filter
   * And automatically calls the_excerpt();
   */
  public static function length($new_length = 55) {
    TwinkleExcerpt::$length = $new_length;

    add_filter('excerpt_length', 'TwinkleExcerpt::new_length');

    TwinkleExcerpt::output();
  }

  // Tells WP the new length
  public static function new_length() {
    if( isset(TwinkleExcerpt::$types[TwinkleExcerpt::$length]) )
      return TwinkleExcerpt::$types[TwinkleExcerpt::$length];
    else
      return TwinkleExcerpt::$length;
  }

  // Echoes out the excerpt
  public static function output() {
    the_excerpt();
  }

}

// An alias to the class
function twinkle_excerpt($length = 55) {
  
    TwinkleExcerpt::length($length);
  
}

function twinkle_remove_excerpt($more) {
  if ( is_admin() ) {
    return $more;
  }
  global $post;
  return '';
}
add_filter('excerpt_more', 'twinkle_remove_excerpt');