<?php
/**
 * twinkle template display posts first large then grid
 *
 * @package twinkle
 */

$paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
$args = array(
	'post_type' => 'post',
	'paged'     => $paged,
);
$query = new WP_Query( $args );
// The Loop
$posts_per_page_setting = get_option( 'posts_per_page' );
if ( $query->have_posts() ) {
	$index = 1;
	echo '<div class="row">';
	while ( $query->have_posts() ) {
		$query->the_post();
		if($index == 1 || ($index % ($posts_per_page_setting+1) == 0)){
			echo '<div class="col-md-12">';
				get_template_part( 'loop-templates/content-blog-large');
			echo '</div>';
		}else {
			echo '<div class="col-md-6 blog-grid-item">';
				get_template_part( 'loop-templates/content-blog-grid');
			echo '</div>';
		}
		if( (($index - 1) % 2 == 0 ) || ($index % $posts_per_page_setting == 0 )) : ?>
				
			<div class="clearfix"></div>
				
		<?php endif;
		
		$index++;
	}

	$nav_args = array(
		            'prev_text'          => __( '<span>Older posts</span>', 'twinkle' ),
		            'next_text'          => __( '<span>Newer posts</span>', 'twinkle' ),
		            'screen_reader_text' => __( 'Posts navigation', 'twinkle' ),
		        );

	the_posts_navigation($nav_args);

	/* Restore original Post Data */
	wp_reset_postdata();
	echo '</div>';
} else {
	// no posts found
}
?>