<?php
/**
 * @package twinkle
 */
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('style1'); ?>>
	<header class="entry-header">
		<?php get_template_part('section-post-categories'); ?>

		<?php the_title('<h1 class="entry-title">', '</h1>'); ?>
		
		<div class="entry-meta">
			<?php if(is_singular( 'post' )) : ?>

				<div class="post-date">
					<?php the_time( get_option('date_format') ); ?>
				</div>
				
			<?php endif; ?>
		</div><!-- .entry-meta -->
		
	</header><!-- .entry-header -->

    <?php $featured_video = get_post_meta( get_the_ID(), 'twinkle_featured_video', true);
		if(!empty($featured_video)){
			echo '<div class="fotorama" data-fit="cover" data-width="100%" data-ratio="800/500" data-minwidth="400" data-maxwidth="1000" data-minheight="300" data-maxheight="100%">';
				echo '<a href="' . esc_url($featured_video) . '">';

				  	if ((get_post_meta( get_the_ID(), 'twinkle_image_as_videocover', true)) == '1') {
				  		echo get_the_post_thumbnail( $post->ID, 'twinkle-post-image' );
				  	}

				echo '</a>';
			echo '</div>';
		} else {
			echo get_the_post_thumbnail( $post->ID, 'twinkle-post-image' );
		}
		?>
    
	<div class="entry-content">

		<?php the_content(); ?>
		
		<?php
			wp_link_pages( array(
				'before' => '<div class="page-links">' . __( 'Pages:', 'twinkle' ),
				'after'  => '</div>',
			) );
		?>

	</div><!-- .entry-content -->

	<footer class="entry-footer">
		
		<?php get_template_part('section-taglist'); ?>
		<?php get_template_part('section-social-sharing'); ?>

	</footer><!-- .entry-footer -->

</article><!-- #post-## -->